OpenCity(6)

NAME
opencity — a 3D city simulator game

SYNOPSIS

opencity [-fs | --full-screen] [-glv | --gl-version] [-dd | --data-dir newDataPath] [-cd | --conf-dir newConfigPath] [-na | --no-audio] [--generator-height-map heightMapPicture | (--generator-seed seed [--generator-map MAP-TYPE] [--generator-water WATER-TYPE] [--generator-map-shape MAP-SHAPE-TYPE] [--generator-tree-density TREE-DENSITY-TYPE])]

DESCRIPTION

This manual page documents opencity command.

OPTIONS

-fs | --fullscreen
    Enable fullscreen mode

-glv | --gl-version
    Show the information of the current available OpenGL implementation on your machine then quit

-dd | --data-dir newDataPath
    Specify to new path to OpenCity's data. For example: --data-dir /home/foo/bar/share/opencity/

-cd | --conf-dir newConfigPath
    Specify to new path to OpenCity's configuration. For example: --conf-dir /home/foo/bar/etc/opencity/

-na | --no-audio
    Disable the audio system

--generator-height-map heightMapPicture
    Load a gray-level picture as height map (PNG). The water level is gray level 128, each map level is one gray level. That's why the whole picture seems to be in a medium gray, because there's only a minor difference between the pixels. You can draw yourself the height-map or generate from any map sources. The interesting data for this work are the DEM satellite data. The map generator in OpenCity will crop the picture if it's too big.

--generator-seed seed
    The seed is the random integer seed used by the map generator

--generator-map MAP-TYPE
    MAP-TYPE: 0=plain (default), 1=hill, 2=mountain

--generator-water WATER-TYPE
    WATER-TYPE: 0=dry, 1=lake (default), 2=coast

--generator-map-shape MAP-SHAPE-TYPE
    MAP-SHAPE-TYPE: 0=none (default), 1=island, 2=volcano, 3=crater

--generator-tree-density TREE-DENSITY-TYPE
    TREE-DENSITY-TYPE: 0=sparse (default), 1=normal, 2=dense

KEYBOARD CONTROL

Hotkey:
        n: "Blank" tool
        r: Zone Residential tool
        c: Zone Commercial tool
        i: Zone Industrial tool
        p: Lay Paths tool
        l: Lay electric Lines tool
        x: Destroy tool
        q: Query tool
        e: Build a coal power plant
        ctrl: cancel the zoning tool action

        u / d: raise / lower cells tool

Navigation:
        up / down / left / right: move the map
        pageup / pagedown: rotate the map
        insert / delete: zoom in/out
        alt: multiply the effects of the buttons above by 10

        h: as Home
        escape: toggle the main menu

Option:
        b: Toggle building display on/off
        g: Toggle grid display on/off
        k: Toggle the main status bar display on/off
        f: Toggle wire frame mode display on/off
        o: Toggle perspective/orthogonal projection
        t: Toggle terrain display on/off
        w: Toggle water display on/off

Sound & music:
        z / b: play previous / next music
        m: music on / off
        s: sound on / off

Experimental:
        F2: Save
        F6: Load

AUTHORS

This manual page was written by OpenCity team. It is distributed under same license as OpenCity application. See the AUTHORS file for the full list of other contributors.